curl -X GET 'https://product.api.e-cross.tech/ext/inventories?lastUpdateDateFrom=2025-10-06T00:00:00.000Z&nextPageToken='
\ -H 'Authorization: Bearer YOUR_TOKEN'
{
"inventories" : [
{
"id" : "ACME-1234567891-1-AVAILABLE" ,
"skuId" : "1234567891" ,
"skuName" : "T-Shirt" ,
"merchantId" : "ACME" ,
"quantity" : 3 ,
"inventoryType" : "AVAILABLE" ,
"lastUpdateDate" : "2026-01-17T19:58:53Z" ,
"warehouseId" : 1 ,
"warehouseName" : "Default" ,
"warehouseCountry" : "ES"
},
{
"id" : "ACME-1234567891-1000-AVAILABLE" ,
"skuId" : "1234567891" ,
"skuName" : "T-Shirt" ,
"merchantId" : "ACME" ,
"quantity" : 1 ,
"inventoryType" : "AVAILABLE" ,
"lastUpdateDate" : "2026-01-25T12:15:01Z" ,
"warehouseId" : 1000 ,
"warehouseName" : "Returns partner BR" ,
"warehouseCountry" : "BR" ,
"returnedOrders" : [
{
"orderId" : "ACME-ECOM-TEST-003" ,
"returnedDate" : "2026-01-25T12:15:01Z" ,
"quantity" : 1
}
]
}
],
"nextPageToken" : "eyJ0eXBlIjoibWFzdGVyIiwibG9jYWxpemF0aW9uU3RhdHVzIjoiUkVBRFlfRk9SX1NBTEVTX0NIQU5ORUwiLCJpZCI6IkFMSEFNQVMtNDQ5NTg4NDI2ODM1NTEiLCJtZXJjaGFudElkIjoiQUxIQU1BUyJ9"
}
Query Parameters
Return only inventories updated after this date. Must be in ISO 8601 format (e.g. 2025-10-06T00:00:00.000Z). If not provided, all inventories are returned.
The token to fetch the next page of results. Use the value returned in the nextPageToken field of the previous request. If there are no more results, this field won’t be returned in the response.
Response Fields
Array containing inventories that match the provided filters. The unique identifier of this SKU inventory record.
The unique identifier of the merchant within the e-CROSS platform.
The SKU ID in the sales channel.
The SKU name within e-CROSS. If the SKU isn’t registered in the e-CROSS platform, this field won’t be returned.
The ID of the warehouse where the SKU is stocked.
The name of the warehouse where the SKU is stocked.
The country of the warehouse where the SKU is stocked.
The quantity of SKUs stocked in this warehouse.
The type of this inventory record.
The date and time when the product inventory entry was created or the quantity was changed, in ISO 8601 format.
The date and time when the sales channel updated the inventory quantity in their system. If no integration has occurred yet, this field won’t be returned.
Array containing the orders that generated the inventory position. Show returnedOrders details
The ID of the order that generated the inventory position.
The date and time when the order was returned, in ISO 8601 format.
The quantity of the SKU that was returned.
The token to be used in the query parameter to retrieve the next page of results. If there are no more results, this field won’t be returned.